package com.tzld.piaoquan.featurestools.util;

import lombok.extern.slf4j.Slf4j;

import java.time.Instant;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.Locale;

@Slf4j
public class DateUtil {

    // 调整日期格式模式，添加星期缩写和逗号
    private static final DateTimeFormatter FORMATTER = DateTimeFormatter.ofPattern("EEE, dd MMM yyyy HH:mm:ss z", Locale.ENGLISH);

    public static Date parseDate(String dateString) {
        try {
            ZonedDateTime zonedDateTime = ZonedDateTime.parse(dateString, FORMATTER);
            Instant instant = zonedDateTime.toInstant();
            return Date.from(instant);
        } catch (Exception e) {
            log.error("parseDate error", e);
        }
        return null;
    }

    public static void main(String[] args) {
        String dateString = "Thu, 08 May 2025 06:34:46 GMT";
        Date date = parseDate(dateString);
        System.out.println(date);
    }
}
